Skip to main content

Application Dashboards Actions

https://api.app.wnology.io/applications/APPLICATION_ID/dashboards

Below are the various requests that can be performed against the Application Dashboards resource, as well as the expected parameters and the potential responses.

Get​

Returns all dashboards scoped to the given application.

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/dashboards

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationDashboards.*, or applicationDashboards.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * dashboard

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards

Successful Responses​

CodeTypeDescription
200DashboardsCollection of dashboards

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new dashboard

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/dashboards

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationDashboards.*, or applicationDashboards.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Application Dashboard Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Dashboard",
"public": false
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Dashboard","public":false}' \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards

Successful Responses​

CodeTypeDescription
201DashboardSuccessfully created dashboard

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Application Dashboard Post​

Schema for the body of an Application scoped Dashboard creation request

Application Dashboard Post Schema​

  • ▶
    {} 5 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 11 keys
      • ▶
        {} 3 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 3 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 3 keys
                          • false
                          • ▶
                            [] 1 item

                          Application Dashboard Post Example​

                          • ▶
                            {} 2 keys
                            • "My New Dashboard"
                            • false

                          Dashboard​

                          Schema for a single Dashboard

                          Dashboard Schema​

                          • ▶
                            {} 3 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 25 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 3 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 3 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 3 keys

                                                                            Dashboard Example​

                                                                            • ▶
                                                                              {} 20 keys
                                                                              • "575ece2b7ae143cd83dc4a9b"
                                                                              • "575ece2b7ae143cd83dc4a9b"
                                                                              • "2016-06-13T04:00:00.000Z"
                                                                              • "2016-06-13T04:00:00.000Z"
                                                                              • "Example Org"
                                                                              • "#284fff"
                                                                              • "organization"
                                                                              • "58238ff2fe7b4b01009a0554"
                                                                              • "My Dashboard"
                                                                              • "The best dashboard description"
                                                                              • 60
                                                                              • false
                                                                              • false
                                                                              • "light"
                                                                              • [] 0 items
                                                                                • 600000
                                                                                • 6000
                                                                                • "admin"
                                                                                • ▶
                                                                                  [] 1 item
                                                                                  • ▶
                                                                                    [] 5 items

                                                                                  Dashboards​

                                                                                  Schema for a collection of Dashboards

                                                                                  Dashboards Schema​

                                                                                  • ▶
                                                                                    {} 3 keys
                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                    • "object"
                                                                                    • ▶
                                                                                      {} 11 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 1 key
                                                                                            • ▶
                                                                                              {} 1 key
                                                                                              • ▶
                                                                                                {} 1 key
                                                                                                • ▶
                                                                                                  {} 1 key
                                                                                                  • ▶
                                                                                                    {} 1 key
                                                                                                    • ▶
                                                                                                      {} 1 key
                                                                                                      • ▶
                                                                                                        {} 2 keys
                                                                                                        • ▶
                                                                                                          {} 2 keys
                                                                                                          • ▶
                                                                                                            {} 2 keys

                                                                                                        Dashboards Example​

                                                                                                        • ▶
                                                                                                          {} 7 keys
                                                                                                          • ▶
                                                                                                            [] 1 item
                                                                                                            • 1
                                                                                                            • 5
                                                                                                            • 1
                                                                                                            • 0
                                                                                                            • "name"
                                                                                                            • "asc"

                                                                                                          Error​

                                                                                                          Schema for errors returned by the API

                                                                                                          Error Schema​

                                                                                                          • ▶
                                                                                                            {} 3 keys
                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                            • "object"
                                                                                                            • ▶
                                                                                                              {} 2 keys
                                                                                                              • ▶
                                                                                                                {} 1 key
                                                                                                                • ▶
                                                                                                                  {} 1 key

                                                                                                              Error Example​

                                                                                                              • ▶
                                                                                                                {} 2 keys
                                                                                                                • "NotFound"
                                                                                                                • "Application was not found"

                                                                                                              Was this page helpful?


                                                                                                              Still looking for help? You can also search the WEGnology Forums or submit your question there.